Create an Allowed IP
curl --request POST \
--url https://api.us.lexful.app/v1/allowed_ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"ip_address": "<string>",
"description": "<string>",
"enabled": true
}
'import requests
url = "https://api.us.lexful.app/v1/allowed_ips"
payload = {
"ip_address": "<string>",
"description": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ip_address: '<string>', description: '<string>', enabled: true})
};
fetch('https://api.us.lexful.app/v1/allowed_ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip_address": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Accounts
Create an Allowed IP
Add a new IP address or CIDR range to the account allowlist
POST
/
v1
/
allowed_ips
Create an Allowed IP
Authorizations
Bearer token
Account ID
Body
application/json
IP address or CIDR range. Supports IPv4 only (e.g., 192.168.1.1, 10.0.0.0/8)
Minimum string length:
1Optional description (e.g., "Office network", "VPN gateway")
Maximum string length:
500Whether this allowed IP is active (defaults to true)
Response
Default Response
Allowed IP unique identifier
IP address or CIDR range (e.g., 192.168.1.1 or 10.0.0.0/8)
Whether this allowed IP is active
Creation timestamp
Last update timestamp
User ID who created this allowed IP
User ID who last updated this allowed IP
Optional description of this IP address
Was this page helpful?
⌘I